Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.addon.compliance.ResultInformation Class Reference
Inheritance diagram for com.foxit.sdk.addon.compliance.ResultInformation:

## Public Member Functions
| ResultInformation ()
| Constructor.
| ResultInformation (ResultInformation other)
| Constructor, with another result information object. More...
synchronized void | delete ()
| Clean up related C++ resources immediately. More...
FixupData | getFixupData (int index) throws com.foxit.sdk.PDFException
| Get a fixup data. More...
int | getFixupDataCount () throws com.foxit.sdk.PDFException
| Get count of fixup data. More...
HitData | getHitData (int index) throws com.foxit.sdk.PDFException
| Get a hit data. More...
int | getHitDataCount () throws com.foxit.sdk.PDFException
| Get count of hit data. More...
boolean | isEmpty ()
| Check whether current object is empty or not. More...
Public Member Functions inherited from com.foxit.sdk.common.Base
synchronized void | delete ()
| Clean up related C++ resources immediately. More...

## Detailed Description

This class represents the set of result information for verification or conversion process. Fixup data or hit data can be retrieved from the result information.

## Constructor & Destructor Documentation

## ◆ ResultInformation()

com.foxit.sdk.addon.compliance.ResultInformation.ResultInformation | ( | ResultInformation | other | ) |

Constructor, with another result information object.

Parameters

  [in] | other | Another ResultInformation object.

## Member Function Documentation

## ◆ delete()

synchronized void com.foxit.sdk.addon.compliance.ResultInformation.delete | ( |  | ) |

Clean up related C++ resources immediately.

Returns
  None.

Note
  Once this function is called, current object cannot be used anymore.

## ◆ getFixupData()

FixupData com.foxit.sdk.addon.compliance.ResultInformation.getFixupData | ( | int | index | ) | throws com.foxit.sdk.PDFException

Get a fixup data.

Parameters

  [in] | index | Index of fixup data to be retrieved. Valid range: from 0 to (count-1). count is returned by function ResultInformation.getFixupDataCount .

Returns
  Fixup data.

## ◆ getFixupDataCount()

int com.foxit.sdk.addon.compliance.ResultInformation.getFixupDataCount | ( |  | ) | throws com.foxit.sdk.PDFException

Get count of fixup data.

Returns
  Count of fixup data.

## ◆ getHitData()

HitData com.foxit.sdk.addon.compliance.ResultInformation.getHitData | ( | int | index | ) | throws com.foxit.sdk.PDFException

Get a hit data.

Parameters

  [in] | index | Index of hit data to be retrieved. Valid range: from 0 to (count-1). count is returned by function ResultInformation.getHitDataCount .

Returns
  Hit data.

## ◆ getHitDataCount()

int com.foxit.sdk.addon.compliance.ResultInformation.getHitDataCount | ( |  | ) | throws com.foxit.sdk.PDFException

Get count of hit data.

Returns
  Count of hit data.

## ◆ isEmpty()

boolean com.foxit.sdk.addon.compliance.ResultInformation.isEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.